//
//  GrafViewController.m
//  HeisApp
//
//  Created by Sturla Sandvei on 4/19/11.
//  Copyright 2011 NTNU. All rights reserved.
//

#import "GrafViewController.h"
#import "Graf.h"

@implementation GrafViewController

// Setter opp et vindu som passer nøyektig over de 5 knappene for tening av graf,
// og legger inn et subview i dette vinduet som animeres i GrafView-metoden.
- (void)loadGrafView
{
    Graf *minGraf = [[Graf alloc] initWithFrame:CGRectMake(0, 0, 320, 411)];
    [self.view addSubview:minGraf];
    [minGraf release];    
}

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
//    [self loadGrafView];

}

// Denne rutinen måtte legges inn for å få lastet ny graf hver gang graf-tabben ble valgt.
// Tidligere lå lasting av graf i viewDidLoad og da lastet den bare første gangen, dvs hvis
// en ny måling ble kjørt i mellomtiden ble ikke det reflektert på grafen.
- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
    [self loadGrafView];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc. that aren't in use.
}


- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)dealloc
{
    [super dealloc];
}

@end