//
//  HeisAppDelegate.h
//  HeisApp
//
//  Created by Sturla Sandvei on 4/19/11.
//  Copyright 2011 NTNU. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface HeisAppDelegate : NSObject <UIApplicationDelegate, UITabBarControllerDelegate> {
    NSMutableArray *filTabell;  // En tabell med alle lagrede forsøk
    NSString *csvFil;           // Navn på fil for aktivt forsøk
    float differanse;           // Settes ved kalibrering av sensorer
    int sensorAktiv;            // Viser om bev.sensorene er startet eller ikke
}

@property (nonatomic, retain) IBOutlet UIWindow *window;
@property (nonatomic, retain) IBOutlet UITabBarController *tabBarController;

@property (nonatomic, retain) NSMutableArray *filTabell;
@property (nonatomic, retain) NSString *csvFil;

@property (nonatomic, readwrite) float differanse;
@property (nonatomic, readwrite) int sensorAktiv;


@end
