//
//  StartStopp.h
//  HeisApp
//
//  Created by Sturla Sandvei on 4/21/11.
//  Copyright 2011 NTNU. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreMotion/CoreMotion.h>
#import "HeisAppDelegate.h"

@interface StartStopp : UIViewController {
    CMMotionManager *motionManager;
    int antReg;
    NSInteger interval;
    NSTimer *timer;
    NSString *startTid;
    float acc[250000];
    float diff;
}

@property (nonatomic, retain) NSString *startTid;

- (IBAction)startStopp:(id)sender;

- (void) startForsok:(HeisAppDelegate *)hovedDelegat;
- (void) stoppForsok:(HeisAppDelegate *)hovedDelegat;

@end